Bug 135902 - Please give some info about the best algorithm to use while resizing
Summary: Please give some info about the best algorithm to use while resizing
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Unclassified
Component: General (show other bugs)
Version: unspecified
Platform: Ubuntu Packages Linux
: NOR wishlist
Target Milestone: ---
Assignee: Krita Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-10-18 14:50 UTC by jsvrp.gw
Modified: 2012-12-28 14:45 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description jsvrp.gw 2006-10-18 14:50:40 UTC
Version:           1.6.0 (using KDE KDE 3.5.5)
Installed from:    Ubuntu Packages

In The Gimp (sorry to begin with these words) you receive some information what is the best (but the slowest) and the fastest resize-algorithm to use. Because Krita has even more algorithms it would be good to know what results in the best result, comparable with the 'best' in The Gimp (I think it's 'cubic').
Comment 1 Camilla Boemann 2006-10-18 15:00:02 UTC
We have discussed this already, but just not gotten around to it.

My latest thoughts on this issue is to remove all the option and always try to the best, but that might not work.

anyway thanks for reminding us/me
Comment 2 Halla Rempt 2006-10-18 15:03:14 UTC
The best algorithm is different when scaling a screenshot or a photograph -- 
maybe also different for lineart.
Comment 3 Stefan Mueller 2006-12-31 12:04:36 UTC
Resizing does not work acceptable in krita 1.6.1.
See my Comment 5 in
Bug 129539: Krita should add Bicubic filter; better than Mitchell 
Comment 4 Camilla Boemann 2009-02-14 16:05:12 UTC
We have shrunk the number of alternatives to two:

Bilinear
Bicubic

Still no explanation so leaving bug open, but severity greatly reduced
Comment 5 Camilla Boemann 2010-01-01 12:41:53 UTC
This is my understanding:
Biliniar is supposedly good for both upscaling and downscaling, but only until 2x larger or half size.
Bicubic are usually better, but a bit slower. Bicubic can also be seen as a bit blurring.

Regarding other algorithms not implemented in krita:
For scaling photos we should look into supersampling. http://en.wikipedia.org/wiki/Supersampling
For magnifying pixel art the best results will be achieved by say hq2x or similar algorithms , which keeps sharp edges and detail:
Comment 6 Halla Rempt 2012-12-28 14:45:30 UTC
Git commit 9ca78c5035874fadb9ef4f532114779a7719c642 by Boudewijn Rempt.
Committed on 28/12/2012 at 15:46.
Pushed by rempt into branch 'master'.

Give guidance about the scaling filters to be selected

M  +23   -1    krita/plugins/extensions/imagesize/dlg_imagesize.cc
M  +1    -1    krita/plugins/extensions/imagesize/dlg_imagesize.h
M  +91   -84   krita/plugins/extensions/imagesize/wdg_imagescale.ui

http://commits.kde.org/calligra/9ca78c5035874fadb9ef4f532114779a7719c642